コンテンツへスキップ

Flux 2 Flex

統合

モデルID flux-2-flex
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-2-flex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.05 50 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs テキストから画像 #stylized#transform

ステップとガイダンスを調整でき、画像内のタイポグラフィやテキストに適したテキストから画像への生成モデル

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くプロンプト。

image_size デフォルト landscape_4_3

生成画像の寸法。

詳細設定 safety_tolerance · output_format · guidance_scale · num_inference_steps · seed · enable_safety_checker
safety_tolerance デフォルト 2

生成画像の安全性設定。許容度は5が最も寛容で、1が最も厳格です。

output_format デフォルト jpeg

結果の画像のファイル形式。

デフォルト 3.5

生成時に適用するガイダンススケール。

デフォルト 28

実行する推論ステップ数。

生成用のシード値。

POST /run/flux-2-flex?wait=20 見積もり → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-2-flex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Flux 2 Flexについて

`prompt`から画像を生成し、`num_inference_steps`(2~50、デフォルトは28)と`guidance_scale`(1.5~10、デフォルトは3.5)を直接制御できます。サイズはsquare_hd、portrait_16_9、landscape_4_3などのプリセットから選択します。出力はjpegまたはpngで、`seed`により結果を再現できます。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くプロンプト。
image_size任意
型object
デフォルトlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
seed任意
型integer | null
生成用のシード値。
safety_tolerance任意
型enum
デフォルト2
12345
生成画像の安全性設定。許容度は5が最も寛容で、1が最も厳格です。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフ設定が有効になるのは承認済みアカウントのみです。承認されていないすべてのリクエストには安全性チェックが実行されます。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
guidance_scale任意
型number
デフォルト3.5
1.5 – 10
生成時に適用するガイダンススケール。
num_inference_steps任意
型integer
デフォルト28
2 – 50
実行する推論ステップ数。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-flex",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
seed
integer生成中に使用されたシード値。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-2-flex.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt